# RegexPrompt (Scissors-API 1.17.1-R0.1-SNAPSHOT API)
declaration: package: org.bukkit.conversations, class: RegexPrompt

Package org.bukkit.conversations

# Class RegexPrompt

java.lang.Object
org.bukkit.conversations.ValidatingPrompt
org.bukkit.conversations.RegexPrompt

All Implemented Interfaces:
  `Cloneable`, `Prompt`

public abstract class RegexPrompt extends ValidatingPrompt
RegexPrompt is the base class for any prompt that requires an input validated by a regular expression.

## Field Summary

### Fields inherited from interface org.bukkit.conversations.Prompt

`END_OF_CONVERSATION`

## Constructor Summary

Constructors
Constructor
Description
`RegexPrompt(@NotNull String regex)`
`RegexPrompt(@NotNull Pattern pattern)`

## Method Summary

Modifier and Type
Method
Description
`protected boolean`
`isInputValid(@NotNull ConversationContext context, @NotNull String input)`
Override this method to check the validity of the player's input.

### Methods inherited from class org.bukkit.conversations.ValidatingPrompt

`acceptInput, acceptValidatedInput, blocksForInput, getFailedValidationText`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.bukkit.conversations.Prompt

`getPromptText`

## Constructor Details

### RegexPrompt

public RegexPrompt(@NotNull @NotNull String regex)

### RegexPrompt

public RegexPrompt(@NotNull @NotNull Pattern pattern)

## Method Details

### isInputValid

protected boolean isInputValid(@NotNull @NotNull ConversationContext context, @NotNull @NotNull String input)
Description copied from class: `ValidatingPrompt`
Override this method to check the validity of the player's input.

Specified by:
  `isInputValid` in class `ValidatingPrompt`
Parameters:
  `context` - Context information about the conversation.
  `input` - The player's raw console input.
Returns:
  True or false depending on the validity of the input.